package com.ruoyi.ext.api.enums;

/**
 * @Description: TODO
 * @author: sun
 * @date: 2022年03月28日 10:56
 */
public enum ContractStatus {
    NO("0", "未入住"), YES("1", "在住"), APPLY("2", "申请退住"),
    DISCHARGE ("3", "出院登记"),REJECT("4", "审核驳回");
//    CANCELLATION("7", "作废"), CHECKOUT("8", "正常退住（合同终止）"),
//    EARLY("9", "提前退住（合同终止）");

    private final String code;
    private final String info;

    ContractStatus(String code, String info)
    {
        this.code = code;
        this.info = info;
    }

    public String getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }
}
